Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
[appveyor] 'make' is called 'mingw32-make' here
[simgrid.git] / README.lua
1 SimGrid requires Lua 5.3; it will not work with Lua 5.2 or Lua 5.1,
2 as Lua 5.3 breaks backwards compatibility.
3
4 However, installing Lua 5.3 is easy. (If you're an administrator)
5
6 Step 1: Go to http://www.lua.org/download.html and download the 5.3 package.
7
8 Step 2: Untar the package: tar xvfz lua-5.3.*.tar.gz
9
10 Step 3: cd into the new directory
11
12 Step 4: Apply the patch in "<simgrid-source-dir>/contrib/lua/lualib.patch" to the
13         lua source:
14
15         For instance, if you unpacked the lua sourcecode to /tmp/lua-5.3.1, use
16         the following commands:
17
18         cp contrib/lua/lualib.patch /tmp/lua-5.3.1
19         cd /tmp/lua-5.3.1/
20         patch -p1 < lualib.patch
21
22 Step 5: make <platform>, for instance "make linux"
23
24 Step 6: sudo make install
25
26 Step 7: Run ccmake (or supply the config option to cmake) to enable Lua in SimGrid. Done!